/*
 * main.c initial gnr par Glade. diter ce fichier  votre
 * convenance. Glade n'crira plus dans ce fichier.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <dirent.h>
#include <sys/stat.h>

#include "interface.h"
#include "support.h"
#include "donnees.h"
#include "commun.h"

int
main (int argc, char *argv[])
{

  DIR * dirp;
  FILE * fd;
  char pixmap [512];
  char taille [512];

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("xwine", VERSION, argc, argv);

  // Paramtrage des rpertoires de XWine
  strcpy(Home,getenv("HOME"));
  strcpy(XWineDir,Home);
  strcat(XWineDir,"/.xwine");
  strcpy(WineDir,Home);
  strcat(WineDir,"/.wine");
  strcpy(AppsDir,XWineDir);
  strcat(AppsDir,"/apps");
  strcpy(FichierPref,XWineDir);
  strcat(FichierPref,"/xwine.conf");
  // KDE dir
  strcpy(KdeDir,Home);
  strcat(KdeDir,"/Desktop");
  dirp=opendir(KdeDir);
  if (dirp==NULL) strcpy(KdeDir,"\0");
  else closedir(dirp);
  // Gnome dir
  strcpy(GnomeDir,Home);
  strcat(GnomeDir,"/.gnome-desktop");
  dirp=opendir(GnomeDir);
  if (dirp==NULL) strcpy(GnomeDir,"\0");
  else closedir(dirp);

/*******************************************************/
/* Patch 2 de Mandrake                                 */
/*******************************************************/
  //Verif existence wine
  if (system("wine -v >/dev/null 2>/dev/null")!=NULL)
  {
    fprintf(stderr,"error: wine has to be installed...\n");
//    fprintf(stderr,"erreur: wine ne fonctionne pas correctement, ils est peut tre mal install...\n");
    exit(1);
  }

  //Verif rpertoire XWine
  dirp=opendir(XWineDir);
  if (dirp==NULL) mkdir(XWineDir,0755);
  else closedir(dirp);

  //Verif rpertoire Apps
  dirp=opendir(AppsDir);
  if (dirp==NULL) mkdir(AppsDir,0755);
  else closedir(dirp);

  //Paramtrage des fichiers
  strcpy(FichierLog,XWineDir);
  strcpy(FichierConfig,WineDir);
  strcat(FichierLog,"/wine.log");
  strcat(FichierConfig,"/config");
  
  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  W_XWINE = create_W_XWINE ();
  W_QUITTER = create_W_QUITTER ();
  W_EXECUTER = create_W_EXECUTER ();
  W_ABOUT = create_W_ABOUT ();
  W_LOG = create_W_LOG ();
  W_WINE_CONFIG = create_W_WINE_CONFIG ();
  W_PARCOUR_EXE = create_W_PARCOUR_EXE ();
  WARN_NOT_AVAILABLE = create_WARN_NOT_AVAILABLE ();
  ERR_PROG_SELECT = create_ERR_PROG_SELECT ();
  INF_USE_CD = create_INF_USE_CD ();
  W_ADD_PARAM = create_W_ADD_PARAM ();
  W_INSTALL_APP = create_W_INSTALL_APP ();
  W_GEST_APP = create_W_GEST_APP ();
  WARN_DEL_APP = create_WARN_DEL_APP ();
  ERR_PROG_EMPTY = create_ERR_PROG_EMPTY ();
  W_RUN_APP = create_W_RUN_APP ();
  W_CALC = create_W_CALC ();
  ERR_AIDE = create_ERR_AIDE ();
  W_EDITEUR = create_W_EDITEUR ();
  WARN_EDIT_QUIT = create_WARN_EDIT_QUIT ();
  W_EDIT_FILE_SELEC = create_W_EDIT_FILE_SELEC ();
  W_GEST_DRIVE = create_W_GEST_DRIVE ();
  W_DRIVE_CFG = create_W_DRIVE_CFG ();
  ERR_DRIVE_SEL = create_ERR_DRIVE_SEL ();
  ERR_DRIVE_PATH = create_ERR_DRIVE_PATH ();
  WARN_DRIVE_DEL = create_WARN_DRIVE_DEL ();
  W_DRIVE_SEL_PATH = create_W_DRIVE_SEL_PATH ();
  ERR_NOT_PATH = create_ERR_NOT_PATH ();
  W_WINE_SYSTEM = create_W_WINE_SYSTEM ();
  W_DLL_GEST = create_W_DLL_GEST ();
  W_DLL_OVERRIDE = create_W_DLL_OVERRIDE ();
  ERR_DLL_SEL = create_ERR_DLL_SEL ();
  ERR_DLL_NAME = create_ERR_DLL_NAME ();
  W_WINE_LOOK = create_W_WINE_LOOK ();
  ERR_WINESETUPTK = create_ERR_WINESETUPTK ();
  W_WINE_GFX = create_W_WINE_GFX ();
  W_APP_DLL = create_W_APP_DLL ();
  ERR_APP_NOT_FOUND = create_ERR_APP_NOT_FOUND ();
  W_WINE_PORT = create_W_WINE_PORT ();
  W_WINE_REGISTRY = create_W_WINE_REGISTRY ();
  W_WINE_MEDIA = create_W_WINE_MEDIA ();
  W_WINE_CONSOLE = create_W_WINE_CONSOLE ();
  WARN_RESTORE = create_WARN_RESTORE ();
  W_WINE_VERSION = create_W_WINE_VERSION ();
  W_CONFIG = create_W_CONFIG ();
  WARN_DEBUG = create_WARN_DEBUG ();
  WARN_NODEBUG = create_WARN_NODEBUG ();
  W_PREFS = create_W_PREFS ();

  /*****************************************************/
  /* Ouverture du fichier de prfrences               */
  /*****************************************************/ 
  fd=fopen(FichierPref,"rt");
  if (fd!=NULL)
  {
    fgets(pixmap, 512, fd);
    fgets(taille, 512, fd);
    pixmap[strlen(pixmap)-1]='\0';
    if (strcmp(taille,"1024x768\n")==0)
    {
      gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,1024,768);
      gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),1024,728);
    }
    else if (strcmp(taille,"800x600\n")==0)
    {
      gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,800,560);
      gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),800,560);
    }
    else 
    {
      gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,640,440);
      gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),640,440);
    }
    fclose(fd);           
  }
  
  gtk_widget_show (W_XWINE);
  
  ecrire_dans_log("Start","");
  
  gtk_main ();
  return 0;
}

